com.sun.jna.platform.win32

## Class Wincon.MOUSE_EVENT_RECORD

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wincon.MOUSE_EVENT_RECORD

Enclosing interface:
  Wincon

    @Structure.FieldOrder(value={"dwMousePosition","dwButtonState","dwControlKeyState","dwEventFlags"})
    public static class Wincon.MOUSE_EVENT_RECORD
    extends Structure

MOUSE_EVENT_RECORD structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwButtonState`
`int` `dwControlKeyState`
`int` `dwEventFlags`
`Wincon.COORD` `dwMousePosition`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MOUSE_EVENT_RECORD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwMousePosition

    public Wincon.COORD dwMousePosition

#### dwButtonState

    public int dwButtonState

#### dwControlKeyState

    public int dwControlKeyState

#### dwEventFlags

    public int dwEventFlags

### Constructor Detail

#### MOUSE_EVENT_RECORD

    public MOUSE_EVENT_RECORD()

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.